'use strict';

var fs = require('fs');
var path = require('path');
var Canvas = require('canvas');
var Image = Canvas.Image;

var img = new Image();
img.src = fs.readFileSync(path.join(__dirname, 'skyline-gradient.png'));

var canvas = new Canvas(img.width, img.height);
var ctx = canvas.getContext('2d');

ctx.drawImage(img, 0, 0, img.width, img.height);

// canvas.pngStream()
// .pipe(fs.createWriteStream(path.join(__dirname, 'out.png')));

var colors = [];
for(var i = 0; i < img.width; i++) {
  colors.push(getPixel(i, 0));
}
console.log(JSON.stringify(colors));

function getPixel(x, y) {
  var p = ctx.getImageData(x, y, 1, 1).data;
  var hex = '#' + ('000000' + rgbToHex(p[0], p[1], p[2])).slice(-6);
  return hex;
}

function rgbToHex(r, g, b) {
  return ((r << 16) | (g << 8) | b).toString(16);
}